RIO_GET_DEVICE_ID(9)

NAME
rio_get_device_id - Get the base/extended device id for a device

SYNOPSIS

u16 rio_get_device_id (struct rio_mport * port, u16 destid, u8 hopcount);

ARGUMENTS

port
    RIO master port

destid
    Destination ID of device

hopcount
    Hopcount to device

DESCRIPTION

Reads the base/extended device id from a device. Returns the 8/16-bit device ID.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.